#extension GL_OES_EGL_image_external : require

// Set the default precision to medium. We don't need as high of a
// precision in the fragment shader.
precision mediump float; 

// the input texture
uniform samplerExternalOES u_Texture;

// This is the color from the vertex shader interpolated across the
// triangle per fragment.
varying vec4 v_Color;
// the interpolated texture coord per fragment
varying vec2 v_TexCoordinate0;
varying vec2 v_TexCoordinateRef;
// The entry point for our fragment shader.

void main()
{	
    // sample our result color
    vec4 resultColor = texture2D(u_Texture, v_TexCoordinate0);
    // we'll ignore the sampled alpha channel and just use 1.0
    resultColor.a = 1.0;
    // write our our final color, with brightness and vertex color information
    gl_FragColor = (v_Color * resultColor);
} 